Subject: Re: bug#75451: scratch/igc: Enable CHECK_STRUCTS

From: Paul Eggert <[email-masked]>
Date: Mon, 20 Jan 2025 12:25:20 -0800

On 2025-01-20 09:54, Stefan Kangas wrote:
> If I'm reading Paul correctly, he's saying that a static check is
> more reliable.

Yes, because a static check doesn't rely on test cases that exercise the 
dynamic check appropriately. Typically we have no such test cases.

I see Pip's point. However, I don't think it's worth coming up with a 
new macro if GCC doesn't issue the proper diagnostics. Having an 
assertion that isn't checked is not gonna maintain well.

It sounds like it'd better to get GCC fixed first, to do what we want. 
Ideally GCC would come up with something where our existing macros 
suffice or even can be reduced in number (though the macro 
implementations might need changing).